// import Web3 from "web3";
import { ethers } from "ethers";
export const WebS = (token) => {
  // let web3 = null;
  // let newToken = "";
  // if (typeof Web3 !== "undefined") {
  //   web3 = new Web3(Web3.ethereum);
  // }
  // try {
  //   newToken = web3.utils.toChecksumAddress(token);
  // } catch (e) {
  //   newToken = token;
  // }
  // return newToken;
  let newToken = "";
  try {
    newToken = ethers.utils.getAddress(token);
  } catch (e) {
    newToken = token;
  }
  return newToken;
};
